org.apache.mina.statemachine.event

## Class UnhandledEventException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.mina.statemachine.event.UnhandledEventException

- All Implemented Interfaces:
    Serializable

      public class UnhandledEventException
      extends RuntimeException

  Thrown when an `Event` passed to a state machine couldn't be handled.
  Author:
    Apache MINA Project
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnhandledEventException(Event event)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Event` | `getEvent()` Returns the `Event` which couldn't be handled.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnhandledEventException

          public UnhandledEventException(Event event)

  - ### Method Detail

    - #### getEvent

          public Event getEvent()

      Returns the `Event` which couldn't be handled.
      Returns:
        the `Event`.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.